org.apache.felix.ipojo.extender.internal.declaration.service

## Class DefaultConfigurationBuilder

- java.lang.Object
- - org.apache.felix.ipojo.extender.internal.declaration.service.DefaultConfigurationBuilder

All Implemented Interfaces:
  ConfigurationBuilder

    public class DefaultConfigurationBuilder
    extends java.lang.Object
    implements ConfigurationBuilder

Declares a configuration and build the immutable `DeclarationHandle` containing that configuration.

### Constructor Summary

Constructors
Constructor and Description
`DefaultConfigurationBuilder(DefaultInstanceBuilder builder)`

### Method Summary

All Methods Instance Methods Concrete Methods
`DeclarationHandle` `build()` Build the declaration handle (contains the instance configuration).
`ConfigurationBuilder` `clear()` Remove all properties from the configuration.
`ConfigurationBuilder` `property(java.lang.String name, java.lang.Object value)` Provide a property value.
`ConfigurationBuilder` `remove(java.lang.String name)` Remove a property from the configuration.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultConfigurationBuilder

    public DefaultConfigurationBuilder(DefaultInstanceBuilder builder)

### Method Detail

#### property

    public ConfigurationBuilder property(java.lang.String name,
                                         java.lang.Object value)

Description copied from interface: `ConfigurationBuilder`
Provide a property value.

Specified by:
  `property` in interface `ConfigurationBuilder`
Parameters:
  `name` - property name
  `value` - property value
Returns:
  this builder

#### remove

    public ConfigurationBuilder remove(java.lang.String name)

Description copied from interface: `ConfigurationBuilder`
Remove a property from the configuration. This does not affect already created declarations (from this builder).

Specified by:
  `remove` in interface `ConfigurationBuilder`
Parameters:
  `name` - property name
Returns:
  this builder

#### clear

    public ConfigurationBuilder clear()

Description copied from interface: `ConfigurationBuilder`
Remove all properties from the configuration. This does not affect already created declarations (from this builder).

Specified by:
  `clear` in interface `ConfigurationBuilder`
Returns:
  this builder

#### build

    public DeclarationHandle build()

Description copied from interface: `ConfigurationBuilder`
Build the declaration handle (contains the instance configuration). Notice that the declaration is not yet published (no automatic activation). The client has to do it through `DeclarationHandle.publish()`

Specified by:
  `build` in interface `ConfigurationBuilder`
Returns:
  the handle to the configured declaration